Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Class FBBlob.Config

java.lang.Object
org.firebirdsql.jdbc.FBBlob.Config

All Implemented Interfaces:
  `BlobConfig`

Enclosing class:
  FBBlob

public static final class FBBlob.Config extends Object implements BlobConfig
Standard configuration for blobs.

Since:
  5

## Method Summary

Modifier and Type
Method
Description
`int`
`blobBufferSize()`
`Reader`
`createReader(InputStream inputStream)`
`Writer`
`createWriter(OutputStream outputStream)`
`void`
`writeInputConfig(BlobParameterBuffer blobParameterBuffer)`
Writes out the configuration for an input blob for an `open` operation (reading a blob).
`void`
`writeOutputConfig(BlobParameterBuffer blobParameterBuffer)`
Writes out the configuration for an output blob for a `create` operation (writing a blob).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### blobBufferSize

public int blobBufferSize()

### createReader

public Reader createReader(InputStream inputStream)

### createWriter

public Writer createWriter(OutputStream outputStream)

### writeOutputConfig

public void writeOutputConfig(BlobParameterBuffer blobParameterBuffer)
Description copied from interface: `BlobConfig`
Writes out the configuration for an output blob for a `create` operation (writing a blob).

Specified by:
  `writeOutputConfig` in interface `BlobConfig`
Parameters:
  `blobParameterBuffer` - a blob parameter buffer to be configured by this instance (implementations can assume it is empty)

### writeInputConfig

public void writeInputConfig(BlobParameterBuffer blobParameterBuffer)
Description copied from interface: `BlobConfig`
Writes out the configuration for an input blob for an `open` operation (reading a blob).

Specified by:
  `writeInputConfig` in interface `BlobConfig`
Parameters:
  `blobParameterBuffer` - a blob parameter buffer to be configured by this instance (implementations can assume it is empty)